//Items
forward item::_GivePlayerItem(playerid,itemid,anzahl,display);
public item::_GivePlayerItem(playerid,itemid,anzahl,display) return item::GivePlayerItem(playerid,itemid,anzahl,true,bool:display);
forward item::_RemovePlayerItem(playerid,itemid,anzahl);
public item::_RemovePlayerItem(playerid,itemid,anzahl) return item::RemovePlayerItems(playerid,itemid,anzahl);

forward item::_CreateItem(name[],stacksize,value,Float:weight,actions,effects[5*5],properties,objectid,size,holdbone,holdinfo[9*5],wearinfo[2],wearattach[9*5]);
public item::_CreateItem(name[],stacksize,value,Float:weight,actions,effects[5*5],properties,objectid,size,holdbone,holdinfo[9*5],wearinfo[2],wearattach[9*5])
{
	new Float:_effects[sizeof(effects)/5],_effects_[sizeof(effects)/5];
	for(new i; i<sizeof(effects); i++) _effects_[i/5] |= (effects[i]>>1)<<((i%5)*7);
	_effects = Float:_effects_;	
	new Float:_holdinfo[sizeof(holdinfo)/5],_holdinfo_[sizeof(holdinfo)/5];
	for(new i; i<sizeof(holdinfo); i++) _holdinfo_[i/5] |= (holdinfo[i]>>1)<<((i%5)*7);
	_holdinfo = Float:_holdinfo_;
	new Float:_wearattach[sizeof(wearattach)/5],_wearattach_[sizeof(wearattach)/5];
	for(new i; i<sizeof(wearattach); i++) _wearattach_[i/5] |= (wearattach[i]>>1)<<((i%5)*7);
	_wearattach = Float:_wearattach_;	
	wearinfo[0] >>= 1;
	wearinfo[1] >>= 1;
	return item::CreateItem(name,stacksize,value,weight,actions,_effects,properties,objectid,size,holdbone,_holdinfo,wearinfo,_wearattach);
}